Skip to main content
POST
Create credentials for waas wallet delegation

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

environmentId
string
required

ID of the environment

Required string length: 36
Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"95b11417-f18f-457f-8804-68e361f9164f"

Body

application/json
publicKey
string
required

A string with a max length of 4096 characters

Maximum string length: 4096
alg
string
Maximum string length: 50
Pattern: ^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$
Example:

"An example name"

type
enum<string>
Available options:
dynamic,
external

Response

Credentials for waas wallet delegation created successfully

publicKey
string
required

A string with a max length of 4096 characters

Maximum string length: 4096
kid
string
required

Short identifier referenced in webhook envelopes so the developer knows which private key to use

Maximum string length: 64
alg
enum<string>
required

Algorithm for how this key is used

Available options:
RSA-OAEP-256,
HYBRID-RSA-AES-256
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
type
enum<string>
Available options:
dynamic,
external
Last modified on January 28, 2026